Get company facts
curl --request GET \
--url https://api.financialdatasets.ai/company/facts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.financialdatasets.ai/company/facts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.financialdatasets.ai/company/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"company_facts": {
"ticker": "<string>",
"name": "<string>",
"cik": "<string>",
"industry": "<string>",
"sector": "<string>",
"exchange": "<string>",
"is_active": true,
"location": "<string>",
"sec_filings_url": "<string>",
"sic_code": "<string>",
"sic_industry": "<string>",
"sic_sector": "<string>"
}
}{
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"error": "Unauthorized",
"message": "Invalid API key provided"
}{
"error": "Not Found",
"message": "Ticker XXXX not found"
}Company
Facts (by CIK)
Get company information and facts by SEC CIK number. Includes sector, industry, market cap, and corporate details.
GET
/
company
/
facts
Get company facts
Overview
Company facts includes data like name, CIK, total employees, website URL, and more. The company facts API provides a simple way to access the most important high-level information about a company. To get started, please create an account and grab your API key at financialdatasets.ai. You will use the API key to authenticate your API requests.Coverage
| Tickers | Years of Coverage | Updated |
|---|---|---|
| 28,000+ | Current | Real-time |
Available CIKs
You can fetch a list of available CIKs with aGET request to:
https://api.financialdatasets.ai/company/facts/ciks/
Getting Started
There are only 3 steps for making a successful API call:- Add your API key to the header of the request as
X-API-KEY. - Add query params like
cikfilter the data. - Execute the API request.
cik in your query params.
Example
Company Facts
import requests
# add your API key to the headers
headers = {
"X-API-KEY": "your_api_key_here"
}
# set your query params
cik = '0000320193'
# create the URL
url = (
f'https://api.financialdatasets.ai/company/facts'
f'?cik={cik}'
)
# make API request
response = requests.get(url, headers=headers)
# parse company_facts from the response
company_facts = response.json().get('company_facts')